IP_CREATE_TAP(1)

NAME
ip_create_tap - add a user-mode tap device to a bridge

SYNOPSIS
ip_create_tap [TAPNAME]

DESCRIPTION
This script adds user-mode a tap device to a bridge and creates the bridge in case it doesn't exist already. The script first checks whether 'br0' exists, if not ip_create_br(1) is executed. Then a tap device is created, named TAPNAME or 'tap0' by default. The tap device will be accessible to the user which executes the script. Finally, the created tap device is connected to bridge 'br0'. The script should be started as a normal user, but uses sudo(8) to execute privileged commands, and might therefore ask for the user password.

SEE ALSO
ip_create_br(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>